- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
gidentity.h File Reference
`#include "gdef.h"`
`#include "gexception.h"`
`#include "gsignalsafe.h"`
`#include <string>`
`#include <iostream>`

Go to the source code of this file.

## Classes
class | G::Identity
| A very low-level interface to getpwnam() and the get/set/e/uid/gid functions. More...
class | G::IdentityUser
| A convenience class which, when used as a private base, can improve readability when calling Identity 'set' methods. More...

## Namespaces
| G
| Low-level classes.

## Functions
std::ostream & | G::operator<< (std::ostream &stream, const G::Identity &identity)